Releasing new version
=====================

This procedure must be done before releasing a new irccd version.

1. Switch to the appropriate release branch.

Example, if about to release 2.0.5:

    $ hg update release-2.0

2. Change the version and date in the cmake/IrccdVersion.cmake file.

Example:

    set(IRCCD_VERSION_MAJOR "2")
    set(IRCCD_VERSION_MINOR "0")
    set(IRCCD_VERSION_PATCH "5")

    set(IRCCD_RELEASE_DATE_YEAR 2016)
    set(IRCCD_RELEASE_DATE_MONTH 12)
    set(IRCCD_RELEASE_DATE_DAY 31)

3. Update or verify the CHANGES.md file

4. Update the README.md

You must remove the "This is a development version" notice from the file and change the version.

5. Change the version in the irccd guide.

6. Create a new tag x.y.z

    $ hg tag 2.0.5

7. Create the signature of the tag

    $ hg sign

8. Push the changes and merge by top-porting it

Example:

    $ hg update stable-2
    $ hg merge release-2.0
    $ hg ci -m "Merge with release-2.0"
    $ hg up @
    $ hg merge release-2.0
    $ hg ci -m "Merge with stable-2"
    $ hg push

9. Create the package

    $ make release
